#include "acdc.h"
// cumbia
#include <cumbiapool.h>
#include <cuserviceprovider.h>
#include <cumacros.h>
#include <quapps.h>
#include <qulabel.h>
// cumbia

#include "ui_acdc.h"

Acdc::Acdc(CumbiaPool *cumbia_pool, QWidget *parent) :
    QWidget(parent)	/* ,    ui(new Ui::Acdc)	  // ## qumbiaprojectwizard: instantiated in constructor body */
{

// cumbia
    CuModuleLoader mloader(cumbia_pool, &m_ctrl_factory_pool, &m_log_impl);
    cu_pool = cumbia_pool;
    ui = new Ui::Acdc;
    ui->setupUi(this, cu_pool, m_ctrl_factory_pool);

    // mloader.modules() to get the list of loaded modules
    // cumbia
    connect(ui->cbShowUnits, SIGNAL(toggled(bool)), this, SLOT(m_show_units(bool)));
    m_show_units(true);
}

Acdc::~Acdc()
{
    delete ui;
}

void Acdc::m_show_units(bool show) {
    foreach(QuLabel *l, findChildren<QuLabel *>())
        l->setDisplayUnitEnabled(show);
}


